commit 93f44ca841be46cc02f3c95a71c731804fc5fd81
parent 958c2c0bf27d50127c8e805dbf3a5882dd2cb2e2
Author: Mattias Andrée <maandree@kth.se>
Date: Mon, 16 Jan 2017 07:45:27 +0100
Add blind-rotate-90, blind-rotate-180, and blind-rotate-270
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat:
5 files changed, 62 insertions(+), 0 deletions(-)
diff --git a/.gitignore b/.gitignore
@@ -8,3 +8,6 @@
*.o
*.out
/blind-*
+!/blind-rotate-90
+!/blind-rotate-180
+!/blind-rotate-270
diff --git a/Makefile b/Makefile
@@ -33,6 +33,11 @@ BIN =\
blind-transpose\
blind-write-head
+SCRIPTS =\
+ blind-rotate-90\
+ blind-rotate-180\
+ blind-rotate-270
+
all: $(BIN)
%: %.o util.o stream.o
diff --git a/blind-rotate-180 b/blind-rotate-180
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+if ! test $# = 0; then
+ if test "$1" = --; then
+ shift 1
+ fi
+ if ! test $# = 0; then
+ printf 'usage: %s\n' "$0" >&2
+ exit 1
+ fi
+fi
+
+flip="$(printf '%s\n' "$0" | sed 's/[^/]*$/blind-flip/')"
+flop="$(printf '%s\n' "$0" | sed 's/[^/]*$/blind-flop/')"
+
+"$flip" | "$flop"
diff --git a/blind-rotate-270 b/blind-rotate-270
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+if ! test $# = 0; then
+ if test "$1" = --; then
+ shift 1
+ fi
+ if ! test $# = 0; then
+ printf 'usage: %s\n' "$0" >&2
+ exit 1
+ fi
+fi
+
+transpose="$(printf '%s\n' "$0" | sed 's/[^/]*$/blind-transpose/')"
+flop="$( printf '%s\n' "$0" | sed 's/[^/]*$/blind-flop/')"
+
+"$flop" | "$transpose"
diff --git a/blind-rotate-90 b/blind-rotate-90
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+if ! test $# = 0; then
+ if test "$1" = --; then
+ shift 1
+ fi
+ if ! test $# = 0; then
+ printf 'usage: %s\n' "$0" >&2
+ exit 1
+ fi
+fi
+
+transpose="$(printf '%s\n' "$0" | sed 's/[^/]*$/blind-transpose/')"
+flop="$( printf '%s\n' "$0" | sed 's/[^/]*$/blind-flop/')"
+
+"$transpose" | "$flop"